import java.applet.*;
import java.awt.*;
import java.awt.image.*;

public class Expontop extends Panel
{
private Button m_e;
private Scrollbar m_SB;
private TextField m_Box;
private Exponmid m_Middle;

  public Expontop( Exponmid obj)
  { 
    m_Middle= obj;

    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    TextField label= new TextField( "b =");
    label.setEditable( false);
    gb.gridx= 0;
    gb.gridy= 0;
    gb.fill= GridBagConstraints.VERTICAL;
    gl.setConstraints( label, gb);
    add( label);

    gb= new GridBagConstraints();

    m_Box= new TextField( "2.0", 6);
    gb.gridx= 1;
    gb.gridy= 0;
    gb.fill= GridBagConstraints.VERTICAL;
    gl.setConstraints( m_Box, gb);
    add( m_Box);

    gb= new GridBagConstraints();

    m_e= new Button("e");
    gb.gridx= 2;
    gb.gridy= 0;
    gb.fill= GridBagConstraints.VERTICAL;
    gl.setConstraints( m_e, gb);
    add( m_e);

    gb= new GridBagConstraints();

    m_SB= new Scrollbar( Scrollbar.HORIZONTAL, 20, 1, 5, 30);
    gb.gridx= 3;
    gb.gridy= 0;
    gb.weightx= 1.0;
    gb.weighty= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_SB, gb);
    add( m_SB);
  }

  public boolean handleEvent( Event e)
  {
    if( e.target== m_SB)
    {
      float fValue= (float)m_SB.getValue()/ 10.0f;
      String strText= Float.toString( fValue);
      m_Box.setText( strText);

      m_Middle.NewFactor( fValue);
      return true;
    }
    else if( e.target== m_Box && e.id== Event.ACTION_EVENT)
    {
      Float CfValue= Float.valueOf( m_Box.getText());
      float fValue= CfValue.floatValue();
      if( fValue>= 0.5f && fValue<= 3.0f)
      {
        m_SB.setValue( Math.round(fValue* 10.0f));
        m_Middle.NewFactor( fValue);
      }
      return true;
    }
    else if( e.target== m_e && e.id== Event.ACTION_EVENT)
    {
      m_Box.setText( "2.718");
      m_SB.setValue( 27);
      m_Middle.NewFactor( 2.7183f );
      return true;
    }
    else
      return super.handleEvent( e);
  }
}
