/* part of Stereographic Projection applet, copyright 1996 John M Sullivan */
import java.applet.Applet;
import java.awt.*;
import java.lang.*;

public class DragSphere extends Applet
{
    DragPanel mainpanel;
    Panel buttonpanel = new Panel();
    Choice polym, motion;
    Button reset, save;
    Image sphere;

    public void init()
    {
	sphere = getImage(getCodeBase(),"sph.gif");
	mainpanel = new DragPanel(sphere);

	setLayout(new BorderLayout());
	add("Center",mainpanel);
	    mainpanel.init();

	add("South",buttonpanel);
	buttonpanel.setLayout(new GridLayout(1,3));

	reset = new Button("Reset View");
	buttonpanel.add(reset);
	save = new Button("Save Arrow");
	buttonpanel.add(save);

	motion = new Choice();
	    motion.addItem("Drag Arrow");
	    motion.addItem("Rotate Sphere");
	    motion.addItem("Draw Triangle");
	motion.select("Drag Arrow");
	buttonpanel.add(motion);
    }

//  public boolean handleEvent(Event e)
//  {
//      return super.handleEvent(e);
//  }

    public boolean action(Event e, Object o)
    {
	if (e.target.equals(motion))
	    mainpanel.setmode(o.equals("Drag Arrow")? 0 :
			      o.equals("Rotate Sphere")? 1 :
			      o.equals("Draw Triangle")? 2 : -1 );
	else if (e.target.equals(reset))
	    mainpanel.reset();
	else if (e.target.equals(save))
	    mainpanel.save_arrow();
	else
	    return false;
	mainpanel.repaint();
	return true;
    }
}
