import java.applet.*;
import java.net.URL;
import java.awt.*;
import java.awt.image.*;

public class Bisect3 extends java.applet.Applet
{
  private String m_strPicture;
  private Drawer3 m_Drawer3;
  private Results3 m_Results3;

  public void init()
  {
    m_strPicture= getParameter( "Picture");
  }

  public void start()
  {
    if(m_strPicture== null)
    {
      System.out.println( "Warning: No param \"Picture\".\n");
      return;
    }

    Image Pic= null;
    MediaTracker mt= new MediaTracker( this);
    try
    {
      Pic= getImage( getCodeBase(), m_strPicture);
    }
    catch( Exception e)
    {
      System.out.println( e);
    }

    mt.addImage( Pic, 0);

    try
    {
      mt.waitForAll();
    }
    catch( Exception e)
    {

    }
    
    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    Analyzer3 Worker= new Analyzer3( Pic);
    Dimension Dim= size();

    m_Drawer3= new Drawer3( Pic, Worker);
    m_Drawer3.move( 0, 0);
    m_Drawer3.resize( Pic.getWidth(null), Pic.getHeight(null));
    m_Drawer3.setBackground( Color.white);
    m_Drawer3.setForeground( Color.black);
    gl.setConstraints( m_Drawer3, gb);
    add( m_Drawer3);

    gb= new GridBagConstraints();
    m_Results3= new Results3( Worker.m_iColor1, Worker.m_iColor2);
    Worker.AddTargets( m_Results3, m_Drawer3);
    m_Results3.move( 0, Pic.getHeight(null));
    m_Results3.resize( Pic.getWidth(null), Dim.height- Pic.getHeight(null));
    m_Results3.setBackground( Color.white);
    m_Results3.setForeground( Color.black);
    gb.gridy= 1;
    gb.gridheight= GridBagConstraints.REMAINDER;
    gb.fill= GridBagConstraints.VERTICAL;
    gl.setConstraints( m_Results3, gb);
    add( m_Results3);

//    Worker.start();
  }

  /*
  public void update( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
  }

  public void paint( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
  }
  */
}

