import java.applet.*;
import java.net.URL;
import java.awt.*;
import java.awt.image.*;

public class Bisect4 extends java.applet.Applet
{
  private String m_strPicture;
  private Drawer4 m_Drawer;
  private Input4 m_Input;

  public void init()
  {
    m_strPicture= getParameter( "Picture");
  }

  public void start()
  {
    if(m_strPicture== null)
    {
      System.out.println( "Warning: No param \"Picture\".\n");
      return;
    }

    Image Pic= null;
    MediaTracker mt= new MediaTracker( this);
    try
    {
      Pic= getImage( getCodeBase(), m_strPicture);
    }
    catch( Exception e)
    {
      System.out.println( e);
    }

    mt.addImage( Pic, 0);

    try
    {
      mt.waitForAll();
    }
    catch( Exception e)
    {

    }
    
    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    Analyzer4 Worker= new Analyzer4( Pic);

    m_Drawer= new Drawer4( Pic, Worker.m_iColor1, Worker.m_iColor2);
    m_Drawer.setBackground( Color.white);
    m_Drawer.setForeground( Color.black);
    m_Drawer.move( 0, 0);
    m_Drawer.resize( Pic.getWidth(null), Pic.getHeight(null));
    gb.gridx= gb.gridy= 0;
    gl.setConstraints( m_Drawer, gb);
    add( m_Drawer);
//*
    Dimension Dim= size();
    gb= new GridBagConstraints();
    m_Input= new Input4( Worker);
    Worker.AddTargets( m_Input, m_Drawer);
    m_Input.setBackground( Color.white);
    m_Input.setForeground( Color.black);
    m_Input.resize( Pic.getWidth(null), Dim.height- Pic.getHeight(null));
    gb.gridx= 0;
    gb.gridy= 1;
    gb.weighty= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_Input, gb);
    add( m_Input);
//*/
/*
    Dimension Dim= size();
    gb= new GridBagConstraints();
    Scrollbar SB= new Scrollbar( Scrollbar.HORIZONTAL, 0, 1, 0, 180);
    SB.resize( Pic.getWidth(null), Dim.height- Pic.getHeight(null));
    gb.gridx= 0;
    gb.gridy= 1;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( SB, gb);
    add( SB);
*/
//    Worker.start();
  }

  /*
  public void update( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
  }

  public void paint( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
  }
  */
}

