import java.applet.*;
import java.awt.*;
import java.awt.image.*;

public class Expon extends java.applet.Applet
                   implements java.awt.LayoutManager
{
private Expontop Top;
private Exponmid Middle;
private Exponbot Bottom;

  public void addLayoutComponent( String name, Component comp)
  {
    name = "2";
  }

  public void layoutContainer( Container parent)
  {
    int iWidth= size().width;
    int iRem= size().height- size().width;

    Bottom.reshape( 0, iWidth+ iRem/ 2, iWidth, size().height- iWidth- iRem/ 2);
    Middle.reshape( 0, iRem/ 2, iWidth, iWidth);
    Top.reshape( 0, 0, iWidth, iRem/ 2);
  }

  public Dimension minimumLayoutSize( Container parent)
  {
    return new Dimension( 2, 5);
  }

  public Dimension preferredLayoutSize( Container parent)
  {
    return new Dimension( 2, 5);
  }

  public void removeLayoutComponent( Component comp)
  {
    Component c= comp;
  }

  public void init()
  {
    int iTang= 0;
    String strTang= getParameter("Tangents");
    if( strTang!= null)
      iTang= Integer.parseInt( strTang);

    setLayout( this);

    int iWidth= size().width;
    int iRem= size().height- size().width;

    Bottom= new Exponbot();
    Middle= new Exponmid( Bottom, (boolean)(iTang>0));
    Top= new Expontop( Middle);

    Top.setBackground( Color.white);
    Top.setForeground( Color.black);
    add( Top);

    Middle.setBackground( Color.white);
    Middle.setForeground( Color.black);
    add( Middle);

    Bottom.setBackground( Color.white);
    Bottom.setForeground( Color.black);
    add( Bottom);
  }

	public String getAppletInfo()
	{
		return "Name: Expon\r\n" +
		       "Author: Brian T. Klamik (klamik@uiuc.edu)\r\n" +
		       "Created for Chickscope Math Team";
	}


  public void start()
  {
    Bottom.repaint();
    Middle.repaint();
    Top.repaint();
  }
}

