//******************************************************************************
// Sigma.java:	Applet
//
//******************************************************************************
import java.applet.*;
import java.awt.*;

//==============================================================================
// Main Class for applet Sigma
//
//==============================================================================
public class Sigma extends Applet
{
private SigmaCanv m_Canv;

	// Sigma Class Constructor
	//--------------------------------------------------------------------------
	public Sigma()
	{
		// TODO: Add constructor code here
	}

	// APPLET INFO SUPPORT:
	//		The getAppletInfo() method returns a string describing the applet's
	// author, copyright date, or miscellaneous information.
    //--------------------------------------------------------------------------
	public String getAppletInfo()
	{
		return "Name: Sigma\r\n" +
		       "Author: Brian T. Klamik (klamik@uiuc.edu)\r\n" +
		       "Created for Chickscope Math Team";
	}


	// The init() method is called by the AWT when an applet is first loaded or
	// reloaded.  Override this method to perform whatever initialization your
	// applet needs, such as initializing data structures, loading images or
	// fonts, creating frame windows, setting the layout manager, or adding UI
	// components.
    //--------------------------------------------------------------------------
	public void init()
	{
		// TODO: Place additional initialization code here
    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    int iWidth= size().width;
    int iHeight= size().height;

    m_Canv= new SigmaCanv();
    SliderFeedLog Feed= new SliderFeedLog( m_Canv, 1, 200000 );

    gb.gridx= 0;
    gb.gridy= 0;
    gb.weightx= 1.0;
    gb.weighty= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    m_Canv.setBackground( Color.white);
    m_Canv.setForeground( Color.black);
    gl.setConstraints( m_Canv, gb);
    add( m_Canv);

    gb= new GridBagConstraints();
    gb.gridx= 0;
    gb.gridy= 1;
    gb.fill= GridBagConstraints.HORIZONTAL;
    Feed.setBackground( Color.white);
    Feed.setForeground( Color.black);
    gl.setConstraints( Feed, gb);
    add( Feed);
	}

	// Place additional applet clean up code here.  destroy() is called when
	// when you applet is terminating and being unloaded.
	//-------------------------------------------------------------------------
	public void destroy()
	{
		// TODO: Place applet cleanup code here
	}

	//		The start() method is called when the page containing the applet
	// first appears on the screen. The AppletWizard's initial implementation
	// of this method starts execution of the applet's thread.
	//--------------------------------------------------------------------------
	public void start()
	{
		// TODO: Place additional applet start code here
	}
	
	//		The stop() method is called when the page containing the applet is
	// no longer on the screen. The AppletWizard's initial implementation of
	// this method stops execution of the applet's thread.
	//--------------------------------------------------------------------------
	public void stop()
	{
	}

	// TODO: Place additional applet code here
}
