import java.awt.*;
//
//
// SliderFeed
//
//
public class SliderFeed extends Panel
{
private Scrollbar m_SB;
private TextField m_Box;
private Component m_Target;

  public SliderFeed( Component obj, int iMin, int iMax)
  { 
    m_Target= obj;

    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb;

    /*
    gb= new GridBagConstraints();
    TextField TF= new TextField( "n:");
    TF.setEditable( false);
    gb.gridx= 0;
    gb.gridy= 0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( TF, gb);
    add( TF);
    */

    gb= new GridBagConstraints();
    String strTemp= Integer.toString( iMax);
    m_Box= new TextField( strTemp, 2+ strTemp.length());
    m_Box.setText( Integer.toString(iMin)); 
    gb.gridx= 0;
    gb.gridy= 0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_Box, gb);
    add( m_Box);

    gb= new GridBagConstraints();
    m_SB= new Scrollbar( Scrollbar.HORIZONTAL, iMin, 1, iMin, iMax);
    gb.gridx= 1;
    gb.gridy= 0;
    gb.weightx= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_SB, gb);
    add( m_SB);
  }

  public boolean handleEvent( Event e)
  {
    if( e.target== m_SB)
    {
      int iValue= (int)m_SB.getValue();
      String strText= Integer.toString( iValue);
      m_Box.setText( strText);

      m_Target.handleEvent( new Event( null, -6969, -6969, -6969,
                                       -6969, iValue, -6969, null));
      return true;
    }
    else if( e.target== m_Box && e.id== Event.ACTION_EVENT)
    {
      Integer CiValue= Integer.valueOf( m_Box.getText());
      int iValue= CiValue.intValue();
      m_SB.setValue( iValue);
      m_Target.handleEvent( new Event( null, -6969, -6969, -6969,
                                         -6969, iValue, -6969, null));
      return true;
    }
    else
      return super.handleEvent( e);
  }
}
