import java.applet.*;
import java.net.URL;
import java.awt.*;
import java.awt.image.*;

public class Bisect2 extends java.applet.Applet
{
  private String m_strPicture;
  private Drawer2 m_Drawer;
  private Input2 m_Input;

  public void init()
  {
    m_strPicture= getParameter( "Picture");
  }

	public String getAppletInfo()
	{
		return "Name: Bisect2\r\n" +
		       "Author: Brian T. Klamik (klamik@uiuc.edu)\r\n" +
		       "Created for Chickscope Math Team";
	}

  /*
  public boolean mouseUp( Event ev, int iX0, int iY0)
  {
    if( m_iClickX1< 0)
      return true;

    
    int iPixels= m_iPicWidth* m_iPicHeight;
    int aPixel[]= new int[ iPixels];
    PixelGrabber pg= new PixelGrabber( m_Picture, 0, 0, m_iPicWidth,
                                       m_iPicHeight, aPixel, 0, m_iPicWidth);
    try
    {
      pg.grabPixels();
    }
    catch( Exception e)
    {
      System.err.println( e);
      return true;
    }

    if( (pg.status()&  ImageObserver.ABORT)!=  0)
    {
      System.err.println("image fetch aborted or errored");
      return true;
    }
    
    int iX= 0;
    int iY= 0;
    int C1= 0;
    int C2= 0;
    int iC1Above= 0;
    int iC2Above= 0;
    int iC1Below= 0;
    int iC2Below= 0;
    boolean bUnder= false;
    for( int iPixel= 0; iPixel< iPixels; iPixel++)
    {
      if( -1!= aPixel[ iPixel])
      {
        if( C1== 0)
        {
          C1= aPixel[ iPixel]& 0xFFFFFF;
          if( iY> m_iLineY1)
            iC1Above++;
          else
            iC1Below++;
        }
        else if( C1== (aPixel[ iPixel]& 0xFFFFFF))
        {
          if( iY> m_iLineY1)
            iC1Above++;
          else
            iC1Below++;
        }
        else if( C2== 0)
        {
          C2= aPixel[ iPixel]& 0xFFFFFF;
          if( iY> m_iLineY1)
            iC2Above++;
          else
            iC2Below++;
        }
        else
        {
          if( iY> m_iLineY1)
            iC2Above++;
          else
            iC2Below++;
        }
      }

      iX++;
      if( iX== m_iPicWidth)
      {
        iX= 0;
        iY++;
      }
    }

    float Percent= (float)iC1Below/ (float)(iC1Above+ iC1Below);
    m_BackBuffer.getGraphics().drawString( Float.toString(Percent), 0, 25);
    Percent= (float)iC2Below/ (float)(iC2Above+ iC2Below);
    m_BackBuffer.getGraphics().drawString( Float.toString(Percent), 0, 50);

    repaint();
    return true;
  }

  public boolean mouseDown( Event ev, int iX, int iY)
  {
    if( iX< 0 || iX> m_iPicWidth || iY< 0 || iY> m_iPicHeight)
      return true;

    if( m_iClickX1< 0)
    {
      m_iClickX1= iX;
      m_iClickY1= iY;
      m_iClickX2= iX;
      m_iClickY2= iY;

      Graphics gBackBuffer= m_BackBuffer.getGraphics();

      gBackBuffer.drawImage( m_Picture, 0, 0, null);
      gBackBuffer.fillOval( m_iClickX1- 3, m_iClickY1- 3, 7, 7);
      repaint();
    }
    else
      mouseDrag( ev, iX, iY);
    return true;
  }

  public boolean mouseDrag( Event ev, int iX, int iY)
  {
    if( iX< 0 || iX> m_iPicWidth || iY< 0 || iY> m_iPicHeight)
      return true;

    if( m_iClickX1< 0)
      return mouseDown( ev, iX, iY);

    double dTemp= (double)(m_iClickX1- iX);
    double dDisP1= (double)(m_iClickY1- iY);
    dDisP1= dDisP1* dDisP1+ dTemp* dTemp;

    dTemp= (double)(m_iClickX2- iX);
    double dDisP2= (double)(m_iClickY2- iY);
    dDisP2= dDisP2* dDisP2+ dTemp* dTemp;

    if( dDisP1< dDisP2)
    {
      m_iClickX1= iX;
      m_iClickY1= iY;
    }
    else
    {
      m_iClickX2= iX;
      m_iClickY2= iY;
    }

    if( m_iClickX2== m_iClickX1 && m_iClickY2== m_iClickY1)
      return true;

    Graphics gBackBuffer= m_BackBuffer.getGraphics();
    gBackBuffer.drawImage( m_Picture, 0, 0, null);
    gBackBuffer.fillOval( m_iClickX1- 2, m_iClickY1- 2, 5, 5);
    gBackBuffer.fillOval( m_iClickX2- 2, m_iClickY2- 2, 5, 5);

    if( m_iClickX2== m_iClickX1)
    {
      m_iLineX2= m_iLineX1= m_iClickX2;
      m_iLineY1= 0;
      m_iLineY2= m_iPicHeight;
    }
    else if( m_iClickY2== m_iClickY1)
    {
      m_iLineY2= m_iLineY1= m_iClickY2;
      m_iLineX1= 0;
      m_iLineX2= m_iPicWidth;
    }
    else
    {
      float fSlope= (float)(m_iClickY2- m_iClickY1)/
                    (float)(m_iClickX2- m_iClickX1);

      m_iLineX1= 0;
      m_iLineY1= (int)(fSlope* -m_iClickX1+ m_iClickY1);

      m_iLineX2= m_iPicWidth;
      m_iLineY2= (int)(fSlope* (m_iLineX2- m_iClickX1)+ m_iClickY1);
    }

    gBackBuffer.drawLine( m_iLineX1, m_iLineY1, m_iLineX2, m_iLineY2);

    repaint();
    return true;
  }
*/

  public void start()
  {
    if(m_strPicture== null)
    {
      System.out.println( "Warning: No param \"Picture\".\n");
      return;
    }

    Image Pic= null;
    MediaTracker mt= new MediaTracker( this);
    try
    {
      Pic= getImage( getCodeBase(), m_strPicture);
    }
    catch( Exception e)
    {
      System.out.println( e);
    }

    mt.addImage( Pic, 0);

    try
    {
      mt.waitForAll();
    }
    catch( Exception e)
    {

    }
    
    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    Analyzer2 Worker= new Analyzer2( Pic);

    m_Drawer= new Drawer2( Pic, Worker.m_iColor1, Worker.m_iColor2);
    m_Drawer.setBackground( Color.white);
    m_Drawer.setForeground( Color.black);
    m_Drawer.move( 0, 0);
    m_Drawer.resize( Pic.getWidth(null), Pic.getHeight(null));
    gb.gridx= gb.gridy= 0;
    gl.setConstraints( m_Drawer, gb);
    add( m_Drawer);
//*
    Dimension Dim= size();
    gb= new GridBagConstraints();
    m_Input= new Input2();
    Worker.AddTargets( m_Input, m_Drawer);
    m_Input.setBackground( Color.white);
    m_Input.setForeground( Color.black);
    m_Input.resize( Pic.getWidth(null), Dim.height- Pic.getHeight(null));
    gb.gridx= 0;
    gb.gridy= 1;
    gb.weighty= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_Input, gb);
    add( m_Input);
//*/
/*
    Dimension Dim= size();
    gb= new GridBagConstraints();
    Scrollbar SB= new Scrollbar( Scrollbar.HORIZONTAL, 0, 1, 0, 180);
    SB.resize( Pic.getWidth(null), Dim.height- Pic.getHeight(null));
    gb.gridx= 0;
    gb.gridy= 1;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( SB, gb);
    add( SB);
*/
    Worker.start();
  }

  /*
  public void update( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
  }

  public void paint( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
  }
  */
}

