import java.applet.*;
import java.net.URL;
import java.awt.*;
import java.awt.image.*;

public class Drawer2 extends Canvas
{
  private Image m_BackBuffer;
  private Image m_Picture;
  private int m_iPicWidth;
  private int m_iPicHeight;
  private boolean m_bDrawn;
  private int m_iColor1;
  private int m_iColor2;

  public Drawer2( Image Pic, int iColor1, int iColor2)
  {
    super();

    m_Picture= Pic;
    m_iPicWidth= m_Picture.getWidth(null);
    m_iPicHeight= m_Picture.getHeight(null);
    m_iColor1= iColor1;
    m_iColor2= iColor2;
  }

  public synchronized void NewLines( int iX0, int iY0, int iX1, int iY1, float fSlope)
  {
    Graphics g= m_BackBuffer.getGraphics();
    g.drawImage( m_Picture, 0, 0, null);

    int iY3;
    if( fSlope< 0.0f)
    {
      iY3= (int)( fSlope* (float)( m_iPicWidth))+ iY0;
      g.setColor( getForeground());
      g.drawLine( iX0, iY0, m_iPicWidth- 1- iX0, iY3);
      g.setColor( new Color( m_iColor1));

      if( iY0< m_iPicHeight)
        g.fillOval( iX0- 6, iY0- 6, 12, 12);
      else
        g.fillOval( (int)((float)(m_iPicHeight- 1- iY0)/ fSlope)+ iX0- 6,
                    m_iPicHeight- 7, 12, 12);
//      if( iY3>= 0)
//        g.fillOval( m_iPicWidth- 7- iX0, iY3- 6, 12, 12);
//      else
//        g.fillOval( (int)((float)(0- iY0)/ fSlope)+ iX0- 6,
//                    -6, 12, 12);

      iY3= (int)( fSlope* (float)( m_iPicWidth))+ iY1;
      g.setColor( getForeground());
      g.drawLine( iX1, iY1, m_iPicWidth- 1- iX1, iY3);
      g.setColor( new Color( m_iColor2));

      if( iY1< m_iPicHeight)
        g.fillOval( iX1- 6, iY1- 6, 12, 12);
      else
        g.fillOval( (int)((float)(m_iPicHeight- 1- iY1)/ fSlope)+ iX1- 6,
                    m_iPicHeight- 7, 12, 12);
      if( iY3>= 0)
        g.fillOval( m_iPicWidth- 7- iX1, iY3- 6, 12, 12);
      else
        g.fillOval( (int)((float)(0- iY1)/ fSlope)+ iX1- 6,
                    -6, 12, 12);

      iY3= (int)( fSlope* (float)( m_iPicWidth))+ iY0;
      g.setColor( new Color( m_iColor1));
      if( iY3>= 0)
        g.fillOval( m_iPicWidth- 7- iX0, iY3- 6, 12, 12);
      else
        g.fillOval( (int)((float)(0- iY0)/ fSlope)+ iX0- 6,
                    -6, 12, 12);
    }
    else
    {
      iY3= (int)( -fSlope* (float)( m_iPicWidth))+ iY0;
      g.setColor( getForeground());
      g.drawLine( iX0, iY0, m_iPicWidth- 1- iX0, iY3);
      g.setColor( new Color( m_iColor1));

//      if( iY0< m_iPicHeight)
//        g.fillOval( iX0- 6, iY0- 6, 12, 12);
//      else
//        g.fillOval( (int)((float)(m_iPicHeight- 1- iY0)/ fSlope)+ iX0- 6,
//                    m_iPicHeight- 7, 12, 12);
      if( iY3>= 0)
        g.fillOval( m_iPicWidth- 7- iX0, iY3- 6, 12, 12);
      else
        g.fillOval( (int)((float)(0- iY0)/ fSlope)+ iX0- 6,
                    -6, 12, 12);

      iY3= (int)( -fSlope* (float)( m_iPicWidth))+ iY1;
      g.setColor( getForeground());
      g.drawLine( iX1, iY1, m_iPicWidth- 1- iX1, iY3);
      g.setColor( new Color( m_iColor2));

      if( iY1< m_iPicHeight)
        g.fillOval( iX1- 6, iY1- 6, 12, 12);
      else
        g.fillOval( (int)((float)(m_iPicHeight- 1- iY1)/ fSlope)+ iX1- 6,
                    m_iPicHeight- 7, 12, 12);
      if( iY3>= 0)
        g.fillOval( m_iPicWidth- 7- iX1, iY3- 6, 12, 12);
      else
        g.fillOval( (int)((float)(0- iY1)/ fSlope)+ iX1- 6,
                    -6, 12, 12);

      g.setColor( new Color( m_iColor1));
      if( iY0< m_iPicHeight)
        g.fillOval( iX0- 6, iY0- 6, 12, 12);
      else
        g.fillOval( (int)((float)(m_iPicHeight- 1- iY0)/ fSlope)+ iX0- 6,
                    m_iPicHeight- 7, 12, 12);
    }

    repaint();

    m_bDrawn= false;
    while( !m_bDrawn)
    {
      try
      {
        wait();
      } catch( Exception e) {}
    }
  }

  public synchronized void update( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
    m_bDrawn= true;
    notify();
  }

  public synchronized void paint( Graphics g)
  {
    if( m_BackBuffer!= null)
      g.drawImage( m_BackBuffer, 0, 0, null);
    else
    {
      m_BackBuffer= createImage( m_iPicWidth, m_iPicHeight);
      m_BackBuffer.getGraphics().drawImage( m_Picture, 0, 0, null);
      m_BackBuffer.getGraphics().setColor( getForeground());
      repaint();
    }
    m_bDrawn= true;
    notify();
  }
}
