import java.applet.*;
import java.net.URL;
import java.awt.*;
import java.awt.image.*;

class Input2 extends Panel
{
  private Scrollbar m_SB;
  private boolean m_bNewValue;
  private float m_fAngle;

  public synchronized void PutAngle( float fAngle)
  {
    m_fAngle= fAngle;
    m_bNewValue= true;
    notify();
  }

  public synchronized float GetAngle()
  {
    while( !m_bNewValue)
    {
      try
      {
        wait();
      }
      catch( Exception e) { }
    }
    m_bNewValue= false;
    return m_fAngle;
  }

  public Input2()
  {
    m_bNewValue= false;

    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    m_SB= new Scrollbar( Scrollbar.HORIZONTAL, 90, 1, 1, 179);
    gb.gridx= 0;
    gb.gridy= 0;
    gb.weightx= 1.0;
    gb.weighty= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_SB, gb);
    add( m_SB);
  }

  public boolean handleEvent( Event e)
  {
    if( e.target== m_SB)
    {
      PutAngle( (float)(180- m_SB.getValue()));
      return true;
    }
    else
      return super.handleEvent( e);
  }
}