import java.applet.*;
import java.net.URL;
import java.awt.*;
import java.awt.image.*;

class Input4 extends Panel
{
  private Analyzer4 m_Analyze;
  private Scrollbar m_SB;
  private boolean m_bNewValue;
  private float m_fAngle;

  public void PutAngle( float fAngle)
  {
    m_fAngle= fAngle;
    m_bNewValue= true;
    m_Analyze.run( m_fAngle);
  }

  public Input4( Analyzer4 objAnalyzer)
  {
    m_bNewValue= false;
    m_Analyze= objAnalyzer;

    GridBagLayout gl= new GridBagLayout();
    setLayout( gl);
    GridBagConstraints gb= new GridBagConstraints();

    m_SB= new Scrollbar( Scrollbar.HORIZONTAL, 90, 1, 1, 179);
    gb.gridx= 0;
    gb.gridy= 0;
    gb.weightx= 1.0;
    gb.weighty= 1.0;
    gb.fill= GridBagConstraints.BOTH;
    gl.setConstraints( m_SB, gb);
    add( m_SB);
  }

  public boolean handleEvent( Event e)
  {
    if( e.target== m_SB)
    {
      PutAngle( (float)(180- m_SB.getValue()));
      return true;
    }
    else
      return super.handleEvent( e);
  }
}